Package com.plannaplan.security

# Class AuthenticationFilter

java.lang.Object
org.springframework.web.filter.GenericFilterBean
org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter
com.plannaplan.security.AuthenticationFilter

All Implemented Interfaces:
  `javax.servlet.Filter`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ApplicationEventPublisherAware`, `org.springframework.context.EnvironmentAware`, `org.springframework.context.MessageSourceAware`, `org.springframework.core.env.EnvironmentCapable`, `org.springframework.web.context.ServletContextAware`

    public class AuthenticationFilter
    extends org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter

Spring authentication filter class

## Field Summary

### Fields inherited from class org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter

`authenticationDetailsSource, eventPublisher, messages`

### Fields inherited from class org.springframework.web.filter.GenericFilterBean

`logger`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`org.springframework.security.core.Authentication` | `attemptAuthentication​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
`protected void` | `successfulAuthentication​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain chain, org.springframework.security.core.Authentication authResult)` |

### Methods inherited from class org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter

`afterPropertiesSet, doFilter, getAllowSessionCreation, getAuthenticationManager, getFailureHandler, getRememberMeServices, getSuccessHandler, requiresAuthentication, setAllowSessionCreation, setApplicationEventPublisher, setAuthenticationDetailsSource, setAuthenticationFailureHandler, setAuthenticationManager, setAuthenticationSuccessHandler, setContinueChainBeforeSuccessfulAuthentication, setFilterProcessesUrl, setMessageSource, setRememberMeServices, setRequiresAuthenticationRequestMatcher, setSessionAuthenticationStrategy, unsuccessfulAuthentication`

### Methods inherited from class org.springframework.web.filter.GenericFilterBean

`addRequiredProperty, createEnvironment, destroy, getEnvironment, getFilterConfig, getFilterName, getServletContext, init, initBeanWrapper, initFilterBean, setBeanName, setEnvironment, setServletContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### attemptAuthentication

public org.springframework.security.core.Authentication attemptAuthentication​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws org.springframework.security.core.AuthenticationException, java.io.IOException, javax.servlet.ServletException

Specified by:
  `attemptAuthentication` in class `org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter`
Throws:
  `org.springframework.security.core.AuthenticationException`
  `java.io.IOException`
  `javax.servlet.ServletException`

### successfulAuthentication

protected void successfulAuthentication​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain chain, org.springframework.security.core.Authentication authResult) throws java.io.IOException, javax.servlet.ServletException

Overrides:
  `successfulAuthentication` in class `org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter`
Throws:
  `java.io.IOException`
  `javax.servlet.ServletException`